1. Bank Accounts
  2. Create a firm bank account
POST
/v1/firms/{firmId}/bank-accounts
curl --request POST \
     --url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/bank-accounts \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "bankAccountName": "string",
  "routingNumber": "string",
  "accountNumber": "string",
  "fundingCompanyId": "string",
  "externalId": "string"
}'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

firmId
required
string

Unique identifier of the firm.

x-api-key
required
string

API key of your Client Application.

​
Body

application/json
bankAccountName
required
string

A display name for the bank account.

routingNumber
required
string

The 9-digit ACH routing number.

accountNumber
required
string

The bank account number.

fundingCompanyId
string

Optional ACH Company ID the firm originates its credits from. Unique across all bank accounts.

externalId
string

Optional external identifier provided by the client.

​
Response

application/json
  • 201

  • 400

  • 401

  • 403

  • 404

  • 409

Created

id
string

The unique identifier of the resource.

externalId
string

The external identifier provided by the client.